Bug 242658 - checkmodule is missing
Summary: checkmodule is missing
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils   
(Show other bugs)
Version: 7
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-05 11:08 UTC by Peeter Puusemp
Modified: 2013-12-18 20:30 UTC (History)
2 users (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 15:42:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peeter Puusemp 2007-06-05 11:08:25 UTC
Description of problem:
As SELinux (I think so) doesn't allow to automatically load the firmware of my
HP LaserJet 1005 (I installed it's driver from source), I tried to allow it.

Setroubleshootbrowser says (Summary):
SELinux is preventing hplj1005 (udev_t) "getattr" to
/usr/share/foo2zjs/firmware/sihp1005.dl (usr_t).

I saved the report and used the command:
audit2allow -M local < /blabla/selinux_alert.txt

Then it says:
compilation failed:
sh: /usr/bin/checkmodule: No such file or directory

I don't know if it is the right way to allow it, but checkmodule is missing anyway.

I used this FAQ:
http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385

Version-Release number of selected component (if applicable):
I have fully updated Fedora 7.

How reproducible:
See above.

Steps to Reproduce:
See above.
  
Actual results:
checkmodule is missing.

Expected results:
checkmodule is missing.

Comment 1 Daniel Walsh 2007-06-05 13:06:28 UTC
yum install checkpolicy

I will update requires for policycoreutils in the next release.



Comment 2 Daniel Walsh 2007-07-10 15:21:10 UTC
Fixed in policycoreutils-2.0.16-11

Comment 3 David Mansfield 2013-12-18 20:30:31 UTC
Please reopen this bug.  It exists in Fedora 20. Exact same resolution as 6 years ago...


Note You need to log in before you can comment on or make changes to this bug.